plugins {
    id("com.android.library")
    id("org.jetbrains.kotlin.android")
    id("com.google.devtools.ksp")
}

android {
    namespace = "com.isidroid.rendering"
    compileSdk = BuildVersions.COMPILE_SDK

    defaultConfig {
        minSdk = BuildVersions.MIN_SDK

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles("consumer-rules.pro")
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = "17"
    }

    testOptions {
        unitTests.isReturnDefaultValues = true
    }
}

dependencies {
    implementation(project((":core:network")))


    api("androidx.core:core-ktx:${GoogleVersions.coreKtx}")
    api("androidx.appcompat:appcompat:${GoogleVersions.appCompat}")
    api("com.google.dagger:hilt-android:${GoogleVersions.hilt}")
    api("androidx.room:room-runtime:${GoogleVersions.room}")

    ksp("com.google.dagger:hilt-compiler:${GoogleVersions.hilt}")
    ksp("androidx.room:room-compiler:${GoogleVersions.room}")

    // tools
    api("com.jakewharton.timber:timber:${ToolsVersions.timber}")

    testApi(project(":core:test_utils"))
    testImplementation("junit:junit:${TestVersions.junit}")
    androidTestImplementation("androidx.test.ext:junit:${TestVersions.junitExt}")
    androidTestImplementation("androidx.test.espresso:espresso-core:${TestVersions.espressoCore}")

    testImplementation("com.squareup.okhttp3:mockwebserver:${TestVersions.mockWebServer}")
    testImplementation("org.mockito:mockito-core:${TestVersions.mockitoCore}")
    testImplementation("org.mockito.kotlin:mockito-kotlin:${TestVersions.mockitoKotlin}")
    testImplementation("org.robolectric:robolectric:${TestVersions.robolectric}")
}